package com.sysu.admin.support.system.config;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties("spring.profiles")
public class ActiveContext {

    private static String active;

    public void setActive(String active) {
        this.active = active;
    }

    public static boolean isApi() {
        return active.trim().equals("api");
    }


    public  static boolean isAdm() {
        return active.trim().equals("adm");
    }

    public static boolean isDev() {
        return active.trim().equals("dev");
    }

}